/*
 *  The ManaPlus Client
 *  Copyright (C) 2008  The Legend of Mazzeroth Development Team
 *  Copyright (C) 2009  Aethyra Development Team
 *  Copyright (C) 2009  The Mana World Development Team
 *  Copyright (C) 2009-2010  The Mana Developers
 *  Copyright (C) 2011-2016  The ManaPlus Developers
 *
 *  This file is part of The ManaPlus Client.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ENUMS_GUI_THEMECOLORID_H
#define ENUMS_GUI_THEMECOLORID_H

#include "enums/simpletypes/enumdefines.h"

enumStart(ThemeColorId)
{
    BROWSERBOX = 0,
    BROWSERBOX_OUTLINE,
    SELFNICK,
    SELFNICK_OUTLINE,
    TEXT,
    TEXT_OUTLINE,
    CARET,
    SHADOW,
    OUTLINE,
    BORDER,
    PROGRESS_BAR,
    PROGRESS_BAR_OUTLINE,
    BUTTON,
    BUTTON_OUTLINE,
    BUTTON_DISABLED,
    BUTTON_DISABLED_OUTLINE,
    BUTTON_HIGHLIGHTED,
    BUTTON_HIGHLIGHTED_OUTLINE,
    BUTTON_PRESSED,
    BUTTON_PRESSED_OUTLINE,
    CHECKBOX,
    CHECKBOX_OUTLINE,
    DROPDOWN,
    DROPDOWN_OUTLINE,
    LABEL,
    LABEL_OUTLINE,
    LISTBOX,
    LISTBOX_OUTLINE,
    LISTBOX_SELECTED,
    LISTBOX_SELECTED_OUTLINE,
    RADIOBUTTON,
    RADIOBUTTON_OUTLINE,
    POPUP,
    POPUP_OUTLINE,
    TAB,
    TAB_OUTLINE,
    TAB_HIGHLIGHTED,
    TAB_HIGHLIGHTED_OUTLINE,
    TAB_SELECTED,
    TAB_SELECTED_OUTLINE,
    TEXTBOX,
    TEXTFIELD,
    TEXTFIELD_OUTLINE,
    WINDOW,
    WINDOW_OUTLINE,
    BATTLE_CHAT_TAB,
    BATTLE_CHAT_TAB_OUTLINE,
    CHANNEL_CHAT_TAB,
    CHANNEL_CHAT_TAB_OUTLINE,
    PARTY_CHAT_TAB,
    PARTY_CHAT_TAB_OUTLINE,
    PARTY_SOCIAL_TAB,
    PARTY_SOCIAL_TAB_OUTLINE,
    GUILD_CHAT_TAB,
    GUILD_CHAT_TAB_OUTLINE,
    GUILD_SOCIAL_TAB,
    GUILD_SOCIAL_TAB_OUTLINE,
    GM_CHAT_TAB,
    GM_CHAT_TAB_OUTLINE,
    BATTLE_CHAT_TAB_HIGHLIGHTED,
    BATTLE_CHAT_TAB_HIGHLIGHTED_OUTLINE,
    CHANNEL_CHAT_TAB_HIGHLIGHTED,
    CHANNEL_CHAT_TAB_HIGHLIGHTED_OUTLINE,
    PARTY_CHAT_TAB_HIGHLIGHTED,
    PARTY_CHAT_TAB_HIGHLIGHTED_OUTLINE,
    PARTY_SOCIAL_TAB_HIGHLIGHTED,
    PARTY_SOCIAL_TAB_HIGHLIGHTED_OUTLINE,
    GUILD_CHAT_TAB_HIGHLIGHTED,
    GUILD_CHAT_TAB_HIGHLIGHTED_OUTLINE,
    GUILD_SOCIAL_TAB_HIGHLIGHTED,
    GUILD_SOCIAL_TAB_HIGHLIGHTED_OUTLINE,
    GM_CHAT_TAB_HIGHLIGHTED,
    GM_CHAT_TAB_HIGHLIGHTED_OUTLINE,
    BATTLE_CHAT_TAB_SELECTED,
    BATTLE_CHAT_TAB_SELECTED_OUTLINE,
    CHANNEL_CHAT_TAB_SELECTED,
    CHANNEL_CHAT_TAB_SELECTED_OUTLINE,
    PARTY_CHAT_TAB_SELECTED,
    PARTY_CHAT_TAB_SELECTED_OUTLINE,
    PARTY_SOCIAL_TAB_SELECTED,
    PARTY_SOCIAL_TAB_SELECTED_OUTLINE,
    GUILD_CHAT_TAB_SELECTED,
    GUILD_CHAT_TAB_SELECTED_OUTLINE,
    GUILD_SOCIAL_TAB_SELECTED,
    GUILD_SOCIAL_TAB_SELECTED_OUTLINE,
    GM_CHAT_TAB_SELECTED,
    GM_CHAT_TAB_SELECTED_OUTLINE,
    BACKGROUND,
    BACKGROUND_GRAY,
    SCROLLBAR_GRAY,
    DROPDOWN_SHADOW,
    HIGHLIGHT,
    HIGHLIGHT_OUTLINE,
    TAB_FLASH,
    TAB_FLASH_OUTLINE,
    TAB_PLAYER_FLASH,
    TAB_PLAYER_FLASH_OUTLINE,
    SHOP_WARNING,
    ITEM_EQUIPPED,
    ITEM_EQUIPPED_OUTLINE,
    ITEM_NOT_EQUIPPED,
    ITEM_NOT_EQUIPPED_OUTLINE,
    CHAT,
    CHAT_OUTLINE,
    GM,
    GM_OUTLINE,
    GLOBAL,
    GLOBAL_OUTLINE,
    PLAYER,
    PLAYER_OUTLINE,
    WHISPER_TAB,
    WHISPER_TAB_OUTLINE,
    WHISPER_TAB_OFFLINE,
    WHISPER_TAB_OFFLINE_OUTLINE,
    WHISPER_TAB_HIGHLIGHTED,
    WHISPER_TAB_HIGHLIGHTED_OUTLINE,
    WHISPER_TAB_OFFLINE_HIGHLIGHTED,
    WHISPER_TAB_OFFLINE_HIGHLIGHTED_OUTLINE,
    WHISPER_TAB_SELECTED,
    WHISPER_TAB_SELECTED_OUTLINE,
    WHISPER_TAB_OFFLINE_SELECTED,
    WHISPER_TAB_OFFLINE_SELECTED_OUTLINE,
    IS,
    IS_OUTLINE,
    SERVER,
    SERVER_OUTLINE,
    LOGGER,
    LOGGER_OUTLINE,
    HYPERLINK,
    HYPERLINK_OUTLINE,
    UNKNOWN_ITEM,
    UNKNOWN_ITEM_OUTLINE,
    GENERIC,
    GENERIC_OUTLINE,
    HEAD,
    HEAD_OUTLINE,
    USABLE,
    USABLE_OUTLINE,
    TORSO,
    TORSO_OUTLINE,
    ONEHAND,
    ONEHAND_OUTLINE,
    LEGS,
    LEGS_OUTLINE,
    FEET,
    FEET_OUTLINE,
    TWOHAND,
    TWOHAND_OUTLINE,
    SHIELD,
    SHIELD_OUTLINE,
    RING,
    RING_OUTLINE,
    NECKLACE,
    NECKLACE_OUTLINE,
    ARMS,
    ARMS_OUTLINE,
    AMMO,
    AMMO_OUTLINE,
    SERVER_VERSION_NOT_SUPPORTED,
    SERVER_VERSION_NOT_SUPPORTED_OUTLINE,
    WARNING,
    WARNING_OUTLINE,
    CHARM,
    CHARM_OUTLINE,
    CARD,
    CARD_OUTLINE,
    PLAYER_ADVANCED,
    PLAYER_ADVANCED_OUTLINE,
    BUBBLE_NAME,
    BUBBLE_NAME_OUTLINE,
    BUBBLE_TEXT,
    BUBBLE_TEXT_OUTLINE,
    BLACK,
    BLACK_OUTLINE,
    RED,
    RED_OUTLINE,
    GREEN,
    GREEN_OUTLINE,
    BLUE,
    BLUE_OUTLINE,
    ORANGE,
    ORANGE_OUTLINE,
    YELLOW,
    YELLOW_OUTLINE,
    PINK,
    PINK_OUTLINE,
    PURPLE,
    PURPLE_OUTLINE,
    GRAY,
    GRAY_OUTLINE,
    BROWN,
    BROWN_OUTLINE,
    STATUSBAR_ON,
    STATUSBAR_OFF,
    TABLE_BACKGROUND,
    SLOTS_BAR,
    SLOTS_BAR_OUTLINE,
    HP_BAR,
    HP_BAR_OUTLINE,
    MP_BAR,
    MP_BAR_OUTLINE,
    NO_MP_BAR,
    NO_MP_BAR_OUTLINE,
    XP_BAR,
    XP_BAR_OUTLINE,
    WEIGHT_BAR,
    WEIGHT_BAR_OUTLINE,
    MONEY_BAR,
    MONEY_BAR_OUTLINE,
    ARROWS_BAR,
    ARROWS_BAR_OUTLINE,
    STATUS_BAR,
    STATUS_BAR_OUTLINE,
    JOB_BAR,
    JOB_BAR_OUTLINE,
    OLDCHAT,
    OLDCHAT_OUTLINE,
    AWAYCHAT,
    AWAYCHAT_OUTLINE,
    SKILL_COOLDOWN,
    TEXT_DISABLED,
    TEXT_DISABLED_OUTLINE,
    THEME_COLORS_END
}
enumEnd(ThemeColorId);

#endif  // ENUMS_GUI_THEMECOLORID_H
